Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F174306322
D13500.id36631.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
952 B
Referenced Files
None
Subscribers
None
D13500.id36631.diff
View Options
Index: head/tests/sys/geom/class/nop/nop_test.sh
===================================================================
--- head/tests/sys/geom/class/nop/nop_test.sh
+++ head/tests/sys/geom/class/nop/nop_test.sh
@@ -36,6 +36,7 @@
}
diskinfo_body()
{
+ load_gnop
us=$(alloc_md)
atf_check gnop create /dev/${us}
md_secsize=$(diskinfo ${us} | cut -wf 2)
@@ -62,6 +63,7 @@
}
io_body()
{
+ load_gnop
us=$(alloc_md)
atf_check gnop create /dev/${us}
@@ -87,6 +89,7 @@
}
size_body()
{
+ load_gnop
us=$(alloc_md)
for mediasize in 65536 524288 1048576; do
atf_check gnop create -s ${mediasize} /dev/${us}
@@ -111,6 +114,7 @@
}
stripesize_body()
{
+ load_gnop
us=$(alloc_md)
for ss in 512 1024 2048 4096 8192; do
for sofs in `seq 0 512 ${ss}`; do
@@ -163,4 +167,11 @@
rm ${PLAINFILES}
fi
true
+}
+
+load_gnop()
+{
+ if ! kldstat -q -m g_nop; then
+ geom nop load || atf_skip "could not load module for geom nop"
+ fi
}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Oct 3, 5:45 AM (14 h, 56 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
40115247
Default Alt Text
D13500.id36631.diff (952 B)
Attached To
Mode
D13500: Skip gnop tests if the module isn't available
Attached
Detach File
Event Timeline
Log In to Comment